> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nectarclimate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Meter Details

> Update the details of a specific meter by its ID. Changing the identifier list will delete all existing identifiers and create new ones from the list.



## OpenAPI

````yaml /api-reference/openapi-v2-2.json patch /meter/{meter_id}
openapi: 3.1.0
info:
  title: Nectar API Documentation
  version: 1.0.0 (v1)
  description: >-
    Complete API documentation for v2.2 endpoints to managing companies, sites,
    data, and documents
servers:
  - url: https://external.nectarclimate.com/v2.2
    description: Nectar API Server
security: []
paths:
  /meter/{meter_id}:
    patch:
      tags:
        - Meters
      summary: Update Meter Details
      description: >-
        Update the details of a specific meter by its ID. Changing the
        identifier list will delete all existing identifiers and create new ones
        from the list.
      operationId: meter_partial_update
      parameters:
        - in: path
          name: meter_id
          schema:
            type: string
            format: uuid
          description: ID of the meter to update.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedMeterUpdateRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedMeterUpdateRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedMeterUpdateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Meter'
          description: ''
        '400':
          description: 'Bad Request: Invalid UUID or invalid data.'
        '403':
          description: 'Forbidden: Access to the meter is denied.'
        '404':
          description: Meter not found.
      security:
        - ExternalAuthentication: []
components:
  schemas:
    PatchedMeterUpdateRequest:
      type: object
      description: Serializer for updating Meter objects.
      properties:
        site:
          type: string
          format: uuid
          description: Foreign key to the site associated with the meter.
        identifiers:
          type: array
          items:
            $ref: '#/components/schemas/IdentifierSkeletonSerializerV2Request'
          description: >-
            List of identifiers associated with the meter, such as meter numbers
            or serial numbers.
        isTracked:
          type: boolean
          description: >-
            Indicates if the meter is included in filtering, analsyis, and
            aggregation.
    Meter:
      type: object
      description: Serializer for Meter objects.
      properties:
        id:
          type: string
          format: uuid
          description: UUID of the meter site usage data entry.
        account:
          type:
            - string
            - 'null'
          format: uuid
          description: 'Foreign key to the account associated with the meter. '
        address:
          type:
            - string
            - 'null'
          description: Address associated with the meter.
        site:
          type: string
          format: uuid
          description: Foreign key to the site associated with the meter.
        identifiers:
          type: array
          items:
            $ref: '#/components/schemas/IdentifierSkeletonSerializerV2'
          description: >-
            List of identifiers associated with the meter, such as meter numbers
            or serial numbers.
        datasourceType:
          allOf:
            - $ref: '#/components/schemas/DataSourceTypeEnum'
          description: |-
            Type of data source (utility) for the meter site usage data entry.

            * `ELECTRICITY` - Electricity
            * `GAS` - Gas
            * `WATER` - Water
            * `DISTRICT` - District
            * `WASTE` - Waste
            * `FUEL` - Fuel
            * `MISC` - Misc
            * `REFRIGERANT` - Refrigerant
            * `SOLAR` - Solar
            * `TELECOM` - Telecom
        timeOfUse:
          description: >-
            DEPRECATED — always null. Use timeOfUseBreakdown on usage data
            instead.
          oneOf:
            - $ref: '#/components/schemas/TimeOfUseEnum'
            - $ref: '#/components/schemas/NullEnum'
        netMeteringType:
          description: >-
            [ELECTRICITY] When net metering is present, we classify electricity
            meters further into these types.


            * `EXPORT` - Export

            * `IMPORT` - Import

            * `GENERATION` - Generation
          oneOf:
            - $ref: '#/components/schemas/NetMeteringTypeEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        waterType:
          description: |-
            [WATER] Type of water used.

            * `POTABLE_WATER` - Potable Water
            * `WELL_WATER` - Well Water
            * `MUNICIPAL_WATER` - Municipal Water
            * `WASTE_WATER` - Waste Water
          oneOf:
            - $ref: '#/components/schemas/WaterTypeEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        meterHighLow:
          description: |-
            [WATER] Indicates if the meter type is 'HIGH' or 'LOW'.

            * `HIGH` - High
            * `LOW` - Low
          oneOf:
            - $ref: '#/components/schemas/MeterHighLowEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        gasType:
          description: |-
            [GAS] Type of gas used

            * `NATURAL_GAS` - Natural Gas
          oneOf:
            - $ref: '#/components/schemas/GasTypeEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        fuelType:
          description: |-
            [FUEL] Type of fuel used, with predefined choices.

            * `ANTHRACITE_COAL` - Anthracite Coal
            * `BITUMINOUS_COAL` - Bituminous Coal
            * `SUB_BITUMINOUS_COAL` - Sub Bituminous Coal
            * `LIGNITE_COAL` - Lignite Coal
            * `MIXED_COMMERCIAL_SECTOR` - Mixed Commercial Sector
            * `MIXED_ELECTRIC_POWER_SECTOR` - Mixed Electric Power Sector
            * `MIXED_INDUSTRIAL_COKING` - Mixed Industrial Coking
            * `MIXED_INDUSTRIAL_SECTOR` - Mixed Industrial Sector
            * `COAL_COKE` - Coal Coke
            * `MUNICIPAL_SOLID_WASTE` - Municipal Solid Waste
            * `PETROLEUM_COKE_SOLID` - Petroleum Coke Solid
            * `PLASTICS` - Plastics
            * `TIRES` - Tires
            * `AGRICULTURAL_BYPRODUCTS` - Agricultural Byproducts
            * `PEAT` - Peat
            * `SOLID_BYPRODUCTS` - Solid Byproducts
            * `WOOD_AND_WOOD_RESIDUALS` - Wood And Wood Residuals
            * `NATURAL_GAS` - Natural Gas
            * `BLAST_FURNACE_GAS` - Blast Furnace Gas
            * `COKE_OVEN_GAS` - Coke Oven Gas
            * `FUEL_GAS` - Fuel Gas
            * `PROPANE_GAS` - Propane Gas
            * `LANDFILL_GAS` - Landfill Gas
            * `OTHER_BIOMASS_GASES` - Other Biomass Gases
            * `ASPHALT_AND_ROAD_OIL` - Asphalt And Road Oil
            * `BUTANE` - Butane
            * `BUTYLENE` - Butylene
            * `CRUDE_OIL` - Crude Oil
            * `DISTILLATE_FUEL_OIL_NO_1` - Distillate Fuel Oil No 1
            * `DISTILLATE_FUEL_OIL_NO_2` - Distillate Fuel Oil No 2
            * `DISTILLATE_FUEL_OIL_NO_4` - Distillate Fuel Oil No 4
            * `ETHANE` - Ethane
            * `ETHYLENE` - Ethylene
            * `HEAVY_GAS_OILS` - Heavy Gas Oils
            * `ISOBUTANE` - Isobutane
            * `ISOBUTYLENE` - Isobutylene
            * `KEROSENE` - Kerosene
            * `LIQUEFIED_PETROLEUM_GASES_LPG` - Liquefied Petroleum Gases Lpg
            * `COMPRESSED_NATURAL_GAS_CNG` - Compressed Natural Gas Cng
            * `LUBRICANTS` - Lubricants
            * `MOTOR_GASOLINE` - Motor Gasoline
            * `NAPHTHA_LESS_THAN_401_DEG_F` - Naphtha Less Than 401 Deg F
            * `NATURAL_GASOLINE` - Natural Gasoline
            * `OTHER_OIL_MORE_THAN_401_DEG_F` - Other Oil More Than 401 Deg F
            * `PENTANES_PLUS` - Pentanes Plus
            * `PETROCHEMICAL_FEEDSTOCKS` - Petrochemical Feedstocks
            * `PROPYLENE` - Propylene
            * `RESIDUAL_FUEL_OIL_NO_5` - Residual Fuel Oil No 5
            * `RESIDUAL_FUEL_OIL_NO_6` - Residual Fuel Oil No 6
            * `SPECIAL_NAPHTHA` - Special Naphtha
            * `UNFINISHED_OILS` - Unfinished Oils
            * `USED_OIL` - Used Oil
            * `BIODIESEL_100_PERCENT` - Biodiesel 100 Percent
            * `BIODIESEL_BLEND` - Biodiesel Blend
            * `ETHANOL_BLENDED_GASOLINE` - Ethanol Blended Gasoline
            * `ETHANOL_100_PERCENT` - Ethanol 100 Percent
            * `RENDERED_ANIMAL_FAT` - Rendered Animal Fat
            * `VEGETABLE_OIL` - Vegetable Oil
            * `NORTH_AMERICAN_SOFTWOOD` - North American Softwood
            * `NORTH_AMERICAN_HARDWOOD` - North American Hardwood
            * `BAGASSE` - Bagasse
            * `BAMBOO` - Bamboo
            * `STRAW` - Straw
          oneOf:
            - $ref: '#/components/schemas/FuelTypeEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        districtType:
          description: |-
            [DISTRICT] Type of district used, either HEATING or COOLING.

            * `HEATING` - Heating
            * `COOLING` - Cooling
          oneOf:
            - $ref: '#/components/schemas/DistrictTypeEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        districtMediumType:
          description: >-
            [DISTRICT] Type of heating or cooling medium used, e.g. STEAM,
            HOT_WATER, etc.


            * `HOT_WATER` - Hot Water

            * `STEAM` - Steam

            * `HOT_OIL` - Hot Oil

            * `CHILLED_WATER` - Chilled Water
          oneOf:
            - $ref: '#/components/schemas/DistrictMediumTypeEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        wasteDescription:
          type:
            - string
            - 'null'
          description: >-
            [WASTE] Description of the waste material. E.g. OCC, Plastic
            bottles, etc.
        wasteType:
          type:
            - string
            - 'null'
          format: uuid
          description: '[WASTE] Type of waste, determined from predefined choices.'
        wasteStream:
          type:
            - string
            - 'null'
          format: uuid
          description: '[WASTE] Stream of waste, determined from predefined choices.'
        refrigerantType:
          description: |-
            [REFRIGERANT] Type of refrigerant used.

            * `R11` - R11
            * `R12` - R12
            * `R22` - R22
            * `R123` - R123
            * `R124` - R124
            * `R134A` - R134A
            * `R401A` - R401A
            * `R401B` - R401B
            * `R402A` - R402A
            * `R402B` - R402B
            * `R403A` - R403A
            * `R403B` - R403B
            * `R404A` - R404A
            * `R405A` - R405A
            * `R406A` - R406A
            * `R407A` - R407A
            * `R407B` - R407B
            * `R407C` - R407C
            * `R407D` - R407D
            * `R407F` - R407F
            * `R408A` - R408A
            * `R409A` - R409A
            * `R409B` - R409B
            * `R410A` - R410A
            * `R410B` - R410B
            * `R411A` - R411A
            * `R411B` - R411B
            * `R412A` - R412A
            * `R413A` - R413A
            * `R413B` - R413B
            * `R414A` - R414A
            * `R414B` - R414B
            * `R415A` - R415A
            * `R415B` - R415B
            * `R416A` - R416A
            * `R417A` - R417A
            * `R417B` - R417B
            * `R417C` - R417C
            * `R418A` - R418A
            * `R419A` - R419A
            * `R419B` - R419B
            * `R420A` - R420A
            * `R420B` - R420B
            * `R421A` - R421A
            * `R421B` - R421B
            * `R421C` - R421C
            * `R422A` - R422A
            * `R422B` - R422B
            * `R422C` - R422C
            * `R422D` - R422D
            * `R422E` - R422E
            * `R423A` - R423A
            * `R423B` - R423B
            * `R424A` - R424A
            * `R424B` - R424B
            * `R425A` - R425A
            * `R426A` - R426A
            * `R426B` - R426B
            * `R426C` - R426C
            * `R427A` - R427A
            * `R427B` - R427B
            * `R427C` - R427C
            * `R428A` - R428A
            * `R428B` - R428B
            * `R429A` - R429A
            * `R429B` - R429B
            * `R430A` - R430A
            * `R430B` - R430B
            * `R431A` - R431A
            * `R431B` - R431B
            * `R432A` - R432A
            * `R432B` - R432B
            * `R433A` - R433A
            * `R433B` - R433B
            * `R433C` - R433C
            * `R433D` - R433D
            * `R434A` - R434A
            * `R434B` - R434B
            * `R435A` - R435A
            * `R435B` - R435B
            * `R436A` - R436A
            * `R436B` - R436B
            * `R437A` - R437A
            * `R437B` - R437B
            * `R438A` - R438A
            * `R438B` - R438B
            * `R444B` - R444B
            * `R445A` - R445A
            * `R447A` - R447A
            * `R448A` - R448A
            * `R448B` - R448B
            * `R449A` - R449A
            * `R449B` - R449B
            * `R450A` - R450A
            * `R450B` - R450B
            * `R451A` - R451A
            * `R451B` - R451B
            * `R452A` - R452A
            * `R452B` - R452B
            * `R453A` - R453A
            * `R454A` - R454A
            * `R454B` - R454B
            * `R454C` - R454C
            * `R455A` - R455A
            * `R456A` - R456A
            * `R459A` - R459A
            * `R460A` - R460A
            * `R461A` - R461A
            * `R462A` - R462A
            * `R463A` - R463A
            * `R464A` - R464A
            * `R465A` - R465A
            * `R115` - R115
            * `R116` - R116
            * `R12B1` - R12B1
            * `R13` - R13
            * `R13B1` - R13B1
            * `R13I1` - R13I1
            * `R14` - R14
            * `R14e` - R14E
            * `R21` - R21
            * `R23` - R23
            * `R30` - R30
            * `R31` - R31
            * `R40` - R40
            * `R41` - R41
            * `R50` - R50
            * `R113` - R113
            * `R114` - R114
            * `R125` - R125
            * `R141B` - R141B
            * `R142B` - R142B
            * `R143A` - R143A
            * `R152A` - R152A
            * `R170` - R170
            * `R218` - R218
            * `R290` - R290
            * `R318` - R318
            * `R600` - R600
            * `R600A` - R600A
            * `R717` - R717
            * `R744` - R744
            * `R508B` - R508B
            * `R1270` - R1270
            * `R32` - R32
            * `R161` - R161
            * `R227EA` - R227Ea
            * `R236CB` - R236Cb
            * `R236EA` - R236Ea
            * `R236FA` - R236Fa
            * `R245CA` - R245Ca
            * `R245FA` - R245Fa
            * `R414C` - R414C
            * `R415C` - R415C
            * `R416B` - R416B
            * `R123A` - R123A
            * `R123B` - R123B
            * `R365MFC` - R365Mfc
            * `R4310` - R4310
            * `R127C` - R127C
            * `R12A` - R12A
            * `R22A` - R22A
            * `R502A` - R502A
            * `R601A` - R601A
          oneOf:
            - $ref: '#/components/schemas/RefrigerantTypeEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        isTracked:
          type: boolean
          description: >-
            Indicates if the meter is included in filtering, analsyis, and
            aggregation.
      required:
        - datasourceType
        - id
        - identifiers
        - site
        - timeOfUse
    IdentifierSkeletonSerializerV2Request:
      type: object
      description: Serializer for all fields of Identifier, used in usage endpoints.
      properties:
        name:
          type:
            - string
            - 'null'
          minLength: 1
          description: Name of the identifier.
        rawName:
          type: string
          minLength: 1
          description: Raw name of the identifier as found in the document.
          maxLength: 200
        value:
          type: string
          minLength: 1
          description: Value of the identifier.
          maxLength: 200
      required:
        - rawName
        - value
    IdentifierSkeletonSerializerV2:
      type: object
      description: Serializer for all fields of Identifier, used in usage endpoints.
      properties:
        name:
          type:
            - string
            - 'null'
          description: Name of the identifier.
        rawName:
          type: string
          description: Raw name of the identifier as found in the document.
          maxLength: 200
        value:
          type: string
          description: Value of the identifier.
          maxLength: 200
      required:
        - rawName
        - value
    DataSourceTypeEnum:
      enum:
        - ELECTRICITY
        - GAS
        - WATER
        - DISTRICT
        - WASTE
        - FUEL
        - MISC
        - REFRIGERANT
        - SOLAR
        - TELECOM
      type: string
      description: |-
        * `ELECTRICITY` - Electricity
        * `GAS` - Gas
        * `WATER` - Water
        * `DISTRICT` - District
        * `WASTE` - Waste
        * `FUEL` - Fuel
        * `MISC` - Misc
        * `REFRIGERANT` - Refrigerant
        * `SOLAR` - Solar
        * `TELECOM` - Telecom
    TimeOfUseEnum:
      enum:
        - PEAK
        - OFF_PEAK
        - SHOULDER_MIDPEAK
        - NIGHT_TIME
        - DAY_TIME
        - SUPER_OFF_PEAK
        - CRITICAL_PEAK
        - WEEKDAY
        - WEEKEND
        - OTHER
      type: string
    NullEnum:
      type: 'null'
    NetMeteringTypeEnum:
      enum:
        - EXPORT
        - IMPORT
        - GENERATION
      type: string
      description: |-
        * `EXPORT` - Export
        * `IMPORT` - Import
        * `GENERATION` - Generation
    BlankEnum:
      enum:
        - ''
    WaterTypeEnum:
      enum:
        - POTABLE_WATER
        - WELL_WATER
        - MUNICIPAL_WATER
        - WASTE_WATER
      type: string
      description: |-
        * `POTABLE_WATER` - Potable Water
        * `WELL_WATER` - Well Water
        * `MUNICIPAL_WATER` - Municipal Water
        * `WASTE_WATER` - Waste Water
    MeterHighLowEnum:
      enum:
        - HIGH
        - LOW
      type: string
      description: |-
        * `HIGH` - High
        * `LOW` - Low
    GasTypeEnum:
      enum:
        - NATURAL_GAS
      type: string
      description: '* `NATURAL_GAS` - Natural Gas'
    FuelTypeEnum:
      enum:
        - ANTHRACITE_COAL
        - BITUMINOUS_COAL
        - SUB_BITUMINOUS_COAL
        - LIGNITE_COAL
        - MIXED_COMMERCIAL_SECTOR
        - MIXED_ELECTRIC_POWER_SECTOR
        - MIXED_INDUSTRIAL_COKING
        - MIXED_INDUSTRIAL_SECTOR
        - COAL_COKE
        - MUNICIPAL_SOLID_WASTE
        - PETROLEUM_COKE_SOLID
        - PLASTICS
        - TIRES
        - AGRICULTURAL_BYPRODUCTS
        - PEAT
        - SOLID_BYPRODUCTS
        - WOOD_AND_WOOD_RESIDUALS
        - NATURAL_GAS
        - BLAST_FURNACE_GAS
        - COKE_OVEN_GAS
        - FUEL_GAS
        - PROPANE_GAS
        - LANDFILL_GAS
        - OTHER_BIOMASS_GASES
        - ASPHALT_AND_ROAD_OIL
        - BUTANE
        - BUTYLENE
        - CRUDE_OIL
        - DISTILLATE_FUEL_OIL_NO_1
        - DISTILLATE_FUEL_OIL_NO_2
        - DISTILLATE_FUEL_OIL_NO_4
        - ETHANE
        - ETHYLENE
        - HEAVY_GAS_OILS
        - ISOBUTANE
        - ISOBUTYLENE
        - KEROSENE
        - LIQUEFIED_PETROLEUM_GASES_LPG
        - COMPRESSED_NATURAL_GAS_CNG
        - LUBRICANTS
        - MOTOR_GASOLINE
        - NAPHTHA_LESS_THAN_401_DEG_F
        - NATURAL_GASOLINE
        - OTHER_OIL_MORE_THAN_401_DEG_F
        - PENTANES_PLUS
        - PETROCHEMICAL_FEEDSTOCKS
        - PROPYLENE
        - RESIDUAL_FUEL_OIL_NO_5
        - RESIDUAL_FUEL_OIL_NO_6
        - SPECIAL_NAPHTHA
        - UNFINISHED_OILS
        - USED_OIL
        - BIODIESEL_100_PERCENT
        - BIODIESEL_BLEND
        - ETHANOL_BLENDED_GASOLINE
        - ETHANOL_100_PERCENT
        - RENDERED_ANIMAL_FAT
        - VEGETABLE_OIL
        - NORTH_AMERICAN_SOFTWOOD
        - NORTH_AMERICAN_HARDWOOD
        - BAGASSE
        - BAMBOO
        - STRAW
      type: string
      description: |-
        * `ANTHRACITE_COAL` - Anthracite Coal
        * `BITUMINOUS_COAL` - Bituminous Coal
        * `SUB_BITUMINOUS_COAL` - Sub Bituminous Coal
        * `LIGNITE_COAL` - Lignite Coal
        * `MIXED_COMMERCIAL_SECTOR` - Mixed Commercial Sector
        * `MIXED_ELECTRIC_POWER_SECTOR` - Mixed Electric Power Sector
        * `MIXED_INDUSTRIAL_COKING` - Mixed Industrial Coking
        * `MIXED_INDUSTRIAL_SECTOR` - Mixed Industrial Sector
        * `COAL_COKE` - Coal Coke
        * `MUNICIPAL_SOLID_WASTE` - Municipal Solid Waste
        * `PETROLEUM_COKE_SOLID` - Petroleum Coke Solid
        * `PLASTICS` - Plastics
        * `TIRES` - Tires
        * `AGRICULTURAL_BYPRODUCTS` - Agricultural Byproducts
        * `PEAT` - Peat
        * `SOLID_BYPRODUCTS` - Solid Byproducts
        * `WOOD_AND_WOOD_RESIDUALS` - Wood And Wood Residuals
        * `NATURAL_GAS` - Natural Gas
        * `BLAST_FURNACE_GAS` - Blast Furnace Gas
        * `COKE_OVEN_GAS` - Coke Oven Gas
        * `FUEL_GAS` - Fuel Gas
        * `PROPANE_GAS` - Propane Gas
        * `LANDFILL_GAS` - Landfill Gas
        * `OTHER_BIOMASS_GASES` - Other Biomass Gases
        * `ASPHALT_AND_ROAD_OIL` - Asphalt And Road Oil
        * `BUTANE` - Butane
        * `BUTYLENE` - Butylene
        * `CRUDE_OIL` - Crude Oil
        * `DISTILLATE_FUEL_OIL_NO_1` - Distillate Fuel Oil No 1
        * `DISTILLATE_FUEL_OIL_NO_2` - Distillate Fuel Oil No 2
        * `DISTILLATE_FUEL_OIL_NO_4` - Distillate Fuel Oil No 4
        * `ETHANE` - Ethane
        * `ETHYLENE` - Ethylene
        * `HEAVY_GAS_OILS` - Heavy Gas Oils
        * `ISOBUTANE` - Isobutane
        * `ISOBUTYLENE` - Isobutylene
        * `KEROSENE` - Kerosene
        * `LIQUEFIED_PETROLEUM_GASES_LPG` - Liquefied Petroleum Gases Lpg
        * `COMPRESSED_NATURAL_GAS_CNG` - Compressed Natural Gas Cng
        * `LUBRICANTS` - Lubricants
        * `MOTOR_GASOLINE` - Motor Gasoline
        * `NAPHTHA_LESS_THAN_401_DEG_F` - Naphtha Less Than 401 Deg F
        * `NATURAL_GASOLINE` - Natural Gasoline
        * `OTHER_OIL_MORE_THAN_401_DEG_F` - Other Oil More Than 401 Deg F
        * `PENTANES_PLUS` - Pentanes Plus
        * `PETROCHEMICAL_FEEDSTOCKS` - Petrochemical Feedstocks
        * `PROPYLENE` - Propylene
        * `RESIDUAL_FUEL_OIL_NO_5` - Residual Fuel Oil No 5
        * `RESIDUAL_FUEL_OIL_NO_6` - Residual Fuel Oil No 6
        * `SPECIAL_NAPHTHA` - Special Naphtha
        * `UNFINISHED_OILS` - Unfinished Oils
        * `USED_OIL` - Used Oil
        * `BIODIESEL_100_PERCENT` - Biodiesel 100 Percent
        * `BIODIESEL_BLEND` - Biodiesel Blend
        * `ETHANOL_BLENDED_GASOLINE` - Ethanol Blended Gasoline
        * `ETHANOL_100_PERCENT` - Ethanol 100 Percent
        * `RENDERED_ANIMAL_FAT` - Rendered Animal Fat
        * `VEGETABLE_OIL` - Vegetable Oil
        * `NORTH_AMERICAN_SOFTWOOD` - North American Softwood
        * `NORTH_AMERICAN_HARDWOOD` - North American Hardwood
        * `BAGASSE` - Bagasse
        * `BAMBOO` - Bamboo
        * `STRAW` - Straw
    DistrictTypeEnum:
      enum:
        - HEATING
        - COOLING
      type: string
      description: |-
        * `HEATING` - Heating
        * `COOLING` - Cooling
    DistrictMediumTypeEnum:
      enum:
        - HOT_WATER
        - STEAM
        - HOT_OIL
        - CHILLED_WATER
      type: string
      description: |-
        * `HOT_WATER` - Hot Water
        * `STEAM` - Steam
        * `HOT_OIL` - Hot Oil
        * `CHILLED_WATER` - Chilled Water
    RefrigerantTypeEnum:
      enum:
        - R11
        - R12
        - R22
        - R123
        - R124
        - R134A
        - R401A
        - R401B
        - R402A
        - R402B
        - R403A
        - R403B
        - R404A
        - R405A
        - R406A
        - R407A
        - R407B
        - R407C
        - R407D
        - R407F
        - R408A
        - R409A
        - R409B
        - R410A
        - R410B
        - R411A
        - R411B
        - R412A
        - R413A
        - R413B
        - R414A
        - R414B
        - R415A
        - R415B
        - R416A
        - R417A
        - R417B
        - R417C
        - R418A
        - R419A
        - R419B
        - R420A
        - R420B
        - R421A
        - R421B
        - R421C
        - R422A
        - R422B
        - R422C
        - R422D
        - R422E
        - R423A
        - R423B
        - R424A
        - R424B
        - R425A
        - R426A
        - R426B
        - R426C
        - R427A
        - R427B
        - R427C
        - R428A
        - R428B
        - R429A
        - R429B
        - R430A
        - R430B
        - R431A
        - R431B
        - R432A
        - R432B
        - R433A
        - R433B
        - R433C
        - R433D
        - R434A
        - R434B
        - R435A
        - R435B
        - R436A
        - R436B
        - R437A
        - R437B
        - R438A
        - R438B
        - R444B
        - R445A
        - R447A
        - R448A
        - R448B
        - R449A
        - R449B
        - R450A
        - R450B
        - R451A
        - R451B
        - R452A
        - R452B
        - R453A
        - R454A
        - R454B
        - R454C
        - R455A
        - R456A
        - R459A
        - R460A
        - R461A
        - R462A
        - R463A
        - R464A
        - R465A
        - R115
        - R116
        - R12B1
        - R13
        - R13B1
        - R13I1
        - R14
        - R14e
        - R21
        - R23
        - R30
        - R31
        - R40
        - R41
        - R50
        - R113
        - R114
        - R125
        - R141B
        - R142B
        - R143A
        - R152A
        - R170
        - R218
        - R290
        - R318
        - R600
        - R600A
        - R717
        - R744
        - R508B
        - R1270
        - R32
        - R161
        - R227EA
        - R236CB
        - R236EA
        - R236FA
        - R245CA
        - R245FA
        - R414C
        - R415C
        - R416B
        - R123A
        - R123B
        - R365MFC
        - R4310
        - R127C
        - R12A
        - R22A
        - R502A
        - R601A
      type: string
      description: |-
        * `R11` - R11
        * `R12` - R12
        * `R22` - R22
        * `R123` - R123
        * `R124` - R124
        * `R134A` - R134A
        * `R401A` - R401A
        * `R401B` - R401B
        * `R402A` - R402A
        * `R402B` - R402B
        * `R403A` - R403A
        * `R403B` - R403B
        * `R404A` - R404A
        * `R405A` - R405A
        * `R406A` - R406A
        * `R407A` - R407A
        * `R407B` - R407B
        * `R407C` - R407C
        * `R407D` - R407D
        * `R407F` - R407F
        * `R408A` - R408A
        * `R409A` - R409A
        * `R409B` - R409B
        * `R410A` - R410A
        * `R410B` - R410B
        * `R411A` - R411A
        * `R411B` - R411B
        * `R412A` - R412A
        * `R413A` - R413A
        * `R413B` - R413B
        * `R414A` - R414A
        * `R414B` - R414B
        * `R415A` - R415A
        * `R415B` - R415B
        * `R416A` - R416A
        * `R417A` - R417A
        * `R417B` - R417B
        * `R417C` - R417C
        * `R418A` - R418A
        * `R419A` - R419A
        * `R419B` - R419B
        * `R420A` - R420A
        * `R420B` - R420B
        * `R421A` - R421A
        * `R421B` - R421B
        * `R421C` - R421C
        * `R422A` - R422A
        * `R422B` - R422B
        * `R422C` - R422C
        * `R422D` - R422D
        * `R422E` - R422E
        * `R423A` - R423A
        * `R423B` - R423B
        * `R424A` - R424A
        * `R424B` - R424B
        * `R425A` - R425A
        * `R426A` - R426A
        * `R426B` - R426B
        * `R426C` - R426C
        * `R427A` - R427A
        * `R427B` - R427B
        * `R427C` - R427C
        * `R428A` - R428A
        * `R428B` - R428B
        * `R429A` - R429A
        * `R429B` - R429B
        * `R430A` - R430A
        * `R430B` - R430B
        * `R431A` - R431A
        * `R431B` - R431B
        * `R432A` - R432A
        * `R432B` - R432B
        * `R433A` - R433A
        * `R433B` - R433B
        * `R433C` - R433C
        * `R433D` - R433D
        * `R434A` - R434A
        * `R434B` - R434B
        * `R435A` - R435A
        * `R435B` - R435B
        * `R436A` - R436A
        * `R436B` - R436B
        * `R437A` - R437A
        * `R437B` - R437B
        * `R438A` - R438A
        * `R438B` - R438B
        * `R444B` - R444B
        * `R445A` - R445A
        * `R447A` - R447A
        * `R448A` - R448A
        * `R448B` - R448B
        * `R449A` - R449A
        * `R449B` - R449B
        * `R450A` - R450A
        * `R450B` - R450B
        * `R451A` - R451A
        * `R451B` - R451B
        * `R452A` - R452A
        * `R452B` - R452B
        * `R453A` - R453A
        * `R454A` - R454A
        * `R454B` - R454B
        * `R454C` - R454C
        * `R455A` - R455A
        * `R456A` - R456A
        * `R459A` - R459A
        * `R460A` - R460A
        * `R461A` - R461A
        * `R462A` - R462A
        * `R463A` - R463A
        * `R464A` - R464A
        * `R465A` - R465A
        * `R115` - R115
        * `R116` - R116
        * `R12B1` - R12B1
        * `R13` - R13
        * `R13B1` - R13B1
        * `R13I1` - R13I1
        * `R14` - R14
        * `R14e` - R14E
        * `R21` - R21
        * `R23` - R23
        * `R30` - R30
        * `R31` - R31
        * `R40` - R40
        * `R41` - R41
        * `R50` - R50
        * `R113` - R113
        * `R114` - R114
        * `R125` - R125
        * `R141B` - R141B
        * `R142B` - R142B
        * `R143A` - R143A
        * `R152A` - R152A
        * `R170` - R170
        * `R218` - R218
        * `R290` - R290
        * `R318` - R318
        * `R600` - R600
        * `R600A` - R600A
        * `R717` - R717
        * `R744` - R744
        * `R508B` - R508B
        * `R1270` - R1270
        * `R32` - R32
        * `R161` - R161
        * `R227EA` - R227Ea
        * `R236CB` - R236Cb
        * `R236EA` - R236Ea
        * `R236FA` - R236Fa
        * `R245CA` - R245Ca
        * `R245FA` - R245Fa
        * `R414C` - R414C
        * `R415C` - R415C
        * `R416B` - R416B
        * `R123A` - R123A
        * `R123B` - R123B
        * `R365MFC` - R365Mfc
        * `R4310` - R4310
        * `R127C` - R127C
        * `R12A` - R12A
        * `R22A` - R22A
        * `R502A` - R502A
        * `R601A` - R601A
  securitySchemes:
    ExternalAuthentication:
      type: apiKey
      in: header
      name: X-API-KEY

````